Skip to content
Developer

VolunteerShiftAssignment

Volunteering6 EndpointsTimeTracking / VolunteerShiftAssignment

List the helpers of shifts (filter `shift`, `person`, `status`)

GET/api/time/volunteer_shift_assignment

Query parameters

idinteger
shiftstring
personstring
statusstring
createdstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of VolunteerShiftAssignment objectsarray<VolunteerShiftAssignment>

Show fields (8)
  • hour_entry_idinteger
  • idinteger

    Primary key of the volunteer shift assignment. Internal ID.

  • shiftVolunteerShift3

    Volunteer shift the assignment belongs to.

    Show fields (16)
    • effective_credited_minutesinteger

      Minutes an attended helper is credited with.

    • signed_up_countinteger

      Helpers that are signed up or attended - cancelled sign-ups free their slot again.

    • open_slotsinteger

      Free slots, null when the shift has no limit.

    • idinteger

      Primary key of the volunteer shift. Internal ID.

    • namestring

      Name of the volunteer shift.

    • descriptionstring

      Description of the volunteer shift.

    • locationstring

      Place where the volunteer shift takes place.

    • startstring (date-time)

      Start of the volunteer shift.

    • endstring (date-time)

      End of the volunteer shift.

    • required_helpersinteger

      Helpers needed. 0 = no limit.

    • credited_minutesinteger

      Minutes credited per attended helper. null = the length of the shift.

    • signup_untilstring (date-time)

      Sign-up closes at this point in time. null = until the shift starts.

    • eventBaseEvent25

      Event the volunteer shift belongs to.

    • deletedboolean

      The volunteer shift is deleted.

    • createdstring (date-time)

      Time the volunteer shift was created.

    • updatedstring (date-time)

      Time the volunteer shift was last changed.

  • personCRMPerson27

    Person assigned to the shift.

    Show fields (11)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

  • statusstring

    Status of the assignment, for example assigned or cancelled.

  • notestring

    Note on the assignment.

  • cancelled_atstring (date-time)

    Time the assignment was cancelled.

  • createdstring (date-time)

    Time the assignment was created.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/time/volunteer_shift_assignment \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "hour_entry_id": 42,
    "shift": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "effective_credited_minutes": 1,
      "signed_up_count": 1,
      "open_slots": 1,
      "location": "string",
      "start": "2026-10-15T09:30:00+02:00",
      "end": "2026-10-15T09:30:00+02:00",
      "required_helpers": 1
    },
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "number": 1,
      "manual_number": 1,
      "number_string": "string",
      "gender": "string",
      "nickname": "string",
      "preferred_color_hex": "string"
    },
    "status": "string",
    "note": "string",
    "cancelled_at": "2026-10-15T09:30:00+02:00",
    "created": "2026-10-15T09:30:00+02:00"
  }
]

Add a helper to a shift. The administration may fill a shift beyond its limit.

POST/api/time/volunteer_shift_assignment

Request body application/json

  • dataVolunteerShiftAssignment2
    Show fields (4)
    • shiftVolunteerShift4

      Volunteer shift the assignment belongs to.

    • personCRMPerson34

      Person assigned to the shift.

    • statusstring

      Status of the assignment, for example assigned or cancelled.

    • notestring

      Note on the assignment.

Responses

200Add a new VolunteerShiftAssignmentVolunteerShiftAssignment

Show fields (8)
  • hour_entry_idinteger
  • idinteger

    Primary key of the volunteer shift assignment. Internal ID.

  • shiftVolunteerShift3

    Volunteer shift the assignment belongs to.

    Show fields (16)
    • effective_credited_minutesinteger

      Minutes an attended helper is credited with.

    • signed_up_countinteger

      Helpers that are signed up or attended - cancelled sign-ups free their slot again.

    • open_slotsinteger

      Free slots, null when the shift has no limit.

    • idinteger

      Primary key of the volunteer shift. Internal ID.

    • namestring

      Name of the volunteer shift.

    • descriptionstring

      Description of the volunteer shift.

    • locationstring

      Place where the volunteer shift takes place.

    • startstring (date-time)

      Start of the volunteer shift.

    • endstring (date-time)

      End of the volunteer shift.

    • required_helpersinteger

      Helpers needed. 0 = no limit.

    • credited_minutesinteger

      Minutes credited per attended helper. null = the length of the shift.

    • signup_untilstring (date-time)

      Sign-up closes at this point in time. null = until the shift starts.

    • eventBaseEvent25

      Event the volunteer shift belongs to.

    • deletedboolean

      The volunteer shift is deleted.

    • createdstring (date-time)

      Time the volunteer shift was created.

    • updatedstring (date-time)

      Time the volunteer shift was last changed.

  • personCRMPerson27

    Person assigned to the shift.

    Show fields (11)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

  • statusstring

    Status of the assignment, for example assigned or cancelled.

  • notestring

    Note on the assignment.

  • cancelled_atstring (date-time)

    Time the assignment was cancelled.

  • createdstring (date-time)

    Time the assignment was created.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/time/volunteer_shift_assignment \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "status": "string",
    "note": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "hour_entry_id": 42,
  "shift": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "effective_credited_minutes": 1,
    "signed_up_count": 1,
    "open_slots": 1,
    "location": "string",
    "start": "2026-10-15T09:30:00+02:00",
    "end": "2026-10-15T09:30:00+02:00",
    "required_helpers": 1
  },
  "person": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "title": "Beispiel",
    "number": 1,
    "manual_number": 1,
    "number_string": "string",
    "gender": "string",
    "nickname": "string",
    "preferred_color_hex": "string"
  },
  "status": "string",
  "note": "string",
  "cancelled_at": "2026-10-15T09:30:00+02:00",
  "created": "2026-10-15T09:30:00+02:00"
}

Get a single helper assignment

GET/api/time/volunteer_shift_assignment/{id}

Path parameters

idrequiredstring

Responses

200Returns a single VolunteerShiftAssignmentVolunteerShiftAssignment

Show fields (8)
  • hour_entry_idinteger
  • idinteger

    Primary key of the volunteer shift assignment. Internal ID.

  • shiftVolunteerShift3

    Volunteer shift the assignment belongs to.

    Show fields (16)
    • effective_credited_minutesinteger

      Minutes an attended helper is credited with.

    • signed_up_countinteger

      Helpers that are signed up or attended - cancelled sign-ups free their slot again.

    • open_slotsinteger

      Free slots, null when the shift has no limit.

    • idinteger

      Primary key of the volunteer shift. Internal ID.

    • namestring

      Name of the volunteer shift.

    • descriptionstring

      Description of the volunteer shift.

    • locationstring

      Place where the volunteer shift takes place.

    • startstring (date-time)

      Start of the volunteer shift.

    • endstring (date-time)

      End of the volunteer shift.

    • required_helpersinteger

      Helpers needed. 0 = no limit.

    • credited_minutesinteger

      Minutes credited per attended helper. null = the length of the shift.

    • signup_untilstring (date-time)

      Sign-up closes at this point in time. null = until the shift starts.

    • eventBaseEvent25

      Event the volunteer shift belongs to.

    • deletedboolean

      The volunteer shift is deleted.

    • createdstring (date-time)

      Time the volunteer shift was created.

    • updatedstring (date-time)

      Time the volunteer shift was last changed.

  • personCRMPerson27

    Person assigned to the shift.

    Show fields (11)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

  • statusstring

    Status of the assignment, for example assigned or cancelled.

  • notestring

    Note on the assignment.

  • cancelled_atstring (date-time)

    Time the assignment was cancelled.

  • createdstring (date-time)

    Time the assignment was created.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/time/volunteer_shift_assignment/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "hour_entry_id": 42,
  "shift": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "effective_credited_minutes": 1,
    "signed_up_count": 1,
    "open_slots": 1,
    "location": "string",
    "start": "2026-10-15T09:30:00+02:00",
    "end": "2026-10-15T09:30:00+02:00",
    "required_helpers": 1
  },
  "person": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "title": "Beispiel",
    "number": 1,
    "manual_number": 1,
    "number_string": "string",
    "gender": "string",
    "nickname": "string",
    "preferred_color_hex": "string"
  },
  "status": "string",
  "note": "string",
  "cancelled_at": "2026-10-15T09:30:00+02:00",
  "created": "2026-10-15T09:30:00+02:00"
}

Change the status of a helper: `attended` credits the shift, `no_show` / `cancelled` remove that credit again

PUT/api/time/volunteer_shift_assignment/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataVolunteerShiftAssignment2
    Show fields (4)
    • shiftVolunteerShift4

      Volunteer shift the assignment belongs to.

    • personCRMPerson34

      Person assigned to the shift.

    • statusstring

      Status of the assignment, for example assigned or cancelled.

    • notestring

      Note on the assignment.

Responses

200Update a VolunteerShiftAssignmentVolunteerShiftAssignment

Show fields (8)
  • hour_entry_idinteger
  • idinteger

    Primary key of the volunteer shift assignment. Internal ID.

  • shiftVolunteerShift3

    Volunteer shift the assignment belongs to.

    Show fields (16)
    • effective_credited_minutesinteger

      Minutes an attended helper is credited with.

    • signed_up_countinteger

      Helpers that are signed up or attended - cancelled sign-ups free their slot again.

    • open_slotsinteger

      Free slots, null when the shift has no limit.

    • idinteger

      Primary key of the volunteer shift. Internal ID.

    • namestring

      Name of the volunteer shift.

    • descriptionstring

      Description of the volunteer shift.

    • locationstring

      Place where the volunteer shift takes place.

    • startstring (date-time)

      Start of the volunteer shift.

    • endstring (date-time)

      End of the volunteer shift.

    • required_helpersinteger

      Helpers needed. 0 = no limit.

    • credited_minutesinteger

      Minutes credited per attended helper. null = the length of the shift.

    • signup_untilstring (date-time)

      Sign-up closes at this point in time. null = until the shift starts.

    • eventBaseEvent25

      Event the volunteer shift belongs to.

    • deletedboolean

      The volunteer shift is deleted.

    • createdstring (date-time)

      Time the volunteer shift was created.

    • updatedstring (date-time)

      Time the volunteer shift was last changed.

  • personCRMPerson27

    Person assigned to the shift.

    Show fields (11)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

  • statusstring

    Status of the assignment, for example assigned or cancelled.

  • notestring

    Note on the assignment.

  • cancelled_atstring (date-time)

    Time the assignment was cancelled.

  • createdstring (date-time)

    Time the assignment was created.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/time/volunteer_shift_assignment/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "status": "string",
    "note": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "hour_entry_id": 42,
  "shift": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "effective_credited_minutes": 1,
    "signed_up_count": 1,
    "open_slots": 1,
    "location": "string",
    "start": "2026-10-15T09:30:00+02:00",
    "end": "2026-10-15T09:30:00+02:00",
    "required_helpers": 1
  },
  "person": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "title": "Beispiel",
    "number": 1,
    "manual_number": 1,
    "number_string": "string",
    "gender": "string",
    "nickname": "string",
    "preferred_color_hex": "string"
  },
  "status": "string",
  "note": "string",
  "cancelled_at": "2026-10-15T09:30:00+02:00",
  "created": "2026-10-15T09:30:00+02:00"
}

Change the status of a helper: `attended` credits the shift, `no_show` / `cancelled` remove that credit again

PATCH/api/time/volunteer_shift_assignment/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataVolunteerShiftAssignment2
    Show fields (4)
    • shiftVolunteerShift4

      Volunteer shift the assignment belongs to.

    • personCRMPerson34

      Person assigned to the shift.

    • statusstring

      Status of the assignment, for example assigned or cancelled.

    • notestring

      Note on the assignment.

Responses

200Update a VolunteerShiftAssignmentVolunteerShiftAssignment

Show fields (8)
  • hour_entry_idinteger
  • idinteger

    Primary key of the volunteer shift assignment. Internal ID.

  • shiftVolunteerShift3

    Volunteer shift the assignment belongs to.

    Show fields (16)
    • effective_credited_minutesinteger

      Minutes an attended helper is credited with.

    • signed_up_countinteger

      Helpers that are signed up or attended - cancelled sign-ups free their slot again.

    • open_slotsinteger

      Free slots, null when the shift has no limit.

    • idinteger

      Primary key of the volunteer shift. Internal ID.

    • namestring

      Name of the volunteer shift.

    • descriptionstring

      Description of the volunteer shift.

    • locationstring

      Place where the volunteer shift takes place.

    • startstring (date-time)

      Start of the volunteer shift.

    • endstring (date-time)

      End of the volunteer shift.

    • required_helpersinteger

      Helpers needed. 0 = no limit.

    • credited_minutesinteger

      Minutes credited per attended helper. null = the length of the shift.

    • signup_untilstring (date-time)

      Sign-up closes at this point in time. null = until the shift starts.

    • eventBaseEvent25

      Event the volunteer shift belongs to.

    • deletedboolean

      The volunteer shift is deleted.

    • createdstring (date-time)

      Time the volunteer shift was created.

    • updatedstring (date-time)

      Time the volunteer shift was last changed.

  • personCRMPerson27

    Person assigned to the shift.

    Show fields (11)
    • idinteger

      Primary key of the person. Internal ID.

    • first_namestring

      First name of the person.

    • last_namestring

      Last name of the person.

    • numberinteger

      Member or customer number of the person.

    • manual_numberinteger

      Number set manually instead of the automatic number.

    • number_stringstring

      Member or customer number as text, including prefix.

    • genderstring

      Gender of the person.

    • titlestring

      Academic or other title of the person.

    • nicknamestring

      Nickname of the person.

    • preferred_color_hexstring

      Preferred color of the person as hex value.

    • avatar_tokenstring

      Token of the avatar image.

  • statusstring

    Status of the assignment, for example assigned or cancelled.

  • notestring

    Note on the assignment.

  • cancelled_atstring (date-time)

    Time the assignment was cancelled.

  • createdstring (date-time)

    Time the assignment was created.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/time/volunteer_shift_assignment/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "status": "string",
    "note": "string"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "hour_entry_id": 42,
  "shift": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "effective_credited_minutes": 1,
    "signed_up_count": 1,
    "open_slots": 1,
    "location": "string",
    "start": "2026-10-15T09:30:00+02:00",
    "end": "2026-10-15T09:30:00+02:00",
    "required_helpers": 1
  },
  "person": {
    "id": 42,
    "first_name": "Lena",
    "last_name": "Hartmann",
    "title": "Beispiel",
    "number": 1,
    "manual_number": 1,
    "number_string": "string",
    "gender": "string",
    "nickname": "string",
    "preferred_color_hex": "string"
  },
  "status": "string",
  "note": "string",
  "cancelled_at": "2026-10-15T09:30:00+02:00",
  "created": "2026-10-15T09:30:00+02:00"
}

Remove a helper from a shift together with an unsettled credit

DELETE/api/time/volunteer_shift_assignment/{id}

Path parameters

idrequiredstring

Responses

default

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/time/volunteer_shift_assignment/42 \
  --header 'x-iw-jwt-token: <TOKEN>'